<?php

/*********************************************************************

 freo | Remove (2010/09/26)

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

 @Link http://freo.jp/
 @Copyright(C) 2009-2010 freo.jp
 @Author Knight <info at favorite-labo dot org>

*********************************************************************/

define('REMOVE_TARGET', 'target/');

if (file_exists(REMOVE_TARGET)) {
	if (preg_match('/\/$/', REMOVE_TARGET)) {
		if (rmdir_ex(REMOVE_TARGET)) {
			echo '[OK] Directory was deleted.';
		} else {
			echo '[NG] Directory was NOT deleted.';
		}
	} else {
		if (unlink(REMOVE_TARGET)) {
			echo '[OK] File was deleted.';
		} else {
			echo '[NG] File was NOT deleted.';
		}
	}
} else {
	echo '[NG] Directory or file is NOT found.';
}

function rmdir_ex($path)
{
	if (!file_exists($path)) {
		return true;
	}

	if ($dir = scandir($path)) {
		foreach ($dir as $data) {
			if ($data == '.' or $data == '..') {
				continue;
			}
			if (is_dir($path . $data)) {
				if (!rmdir_ex($path . $data . '/')) {
					return false;
				}
			} elseif (is_file($path . $data)) {
				if (!unlink($path . $data)) {
					return false;
				}
			}
		}
	} else {
		return false;
	}

	if (rmdir($path)) {
		return true;
	} else {
		return false;
	}
}

?>
